import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 40;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYOffset = -70;
const durationTime = 2000;

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g
  .append('circle')
	.attr('r', height / 2)
 	.attr('fill', 'yellow')
  	.attr('stroke', 'black')
  .transition().duration(durationTime)
	.attr('fill', 'red');

const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing)

const leftInnerEye = eyesG
  .append('circle')
    .attr('r', 20)
    .attr('cx', -eyeSpacing)
	.attr('fill', 'white');

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const rightInnerEye = eyesG
  .append('circle')
    .attr('r', 20)
    .attr('cx', eyeSpacing)
	.attr('fill', 'white');

const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

/*eyebrowsG
  .transition().duration(durationTime)
    .attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
  .transition().duration(durationTime)
    .attr('transform', `translate(0, ${eyebrowYOffset})`);*/

const leftEyebrow = eyebrowsG
  .append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
  .transition().duration(durationTime)
	.attr('transform', 'rotate(25)translate(-10, 10)');

const rightEyebrow = eyebrowsG
  .append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight); 

const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle: Math.PI * 3 / 4,
      endAngle: Math.PI * 5 / 4
    }))
  .transition().duration(durationTime)
	.attr('transform', 'rotate(180)translate(0, -250)');